#include "sensor.h"


/***************߲**********************/
INT8 SL_SC7A20_Online_Test(void)
{
    UINT8 SL_Read_Reg=0xff;
    GSENSOR_ReadReg(SC7A20_CHIP_ID_ADDRESS,1, &SL_Read_Reg); 
    //printf("SL_Read_Reg = %#x\r\n",SL_Read_Reg);	
    if(SL_Read_Reg==SC7A20_CHIP_ID_VALUE){
	return  1;
   } else { 
   	return -1;
   }
}

/***************BOOT ڲĴֵ*********************/
INT8  SL_SC7A20_BOOT(void)
{
    UINT8 SL_Read_Reg=0xff;
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_SC7A20_BOOT_ENABLE|SL_Read_Reg;
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg);
    return  1;
}


/*************************************/
INT8  SL_SC7A20_FS_Config(UINT8 Sc7a20_FS_Reg)
{
    UINT8 SL_Read_Reg=0xff,SL_Write_Reg;

    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG4,1, &SL_Read_Reg); 
    SL_Write_Reg=0x80|Sc7a20_FS_Reg|SL_SC7A20_HR_ENABLE;
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG4, SL_Write_Reg);
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG4,1, &SL_Read_Reg); 
    if(SL_Read_Reg==SL_Write_Reg) {
	return  1;
    }else{
    	return -1;
    }
}

#if SL_6D4D2D1D_SEL==1  //1D
//AOI1_INT1  ˶⣬˶ж        6D˶
//AOI2_INT2  λü⣬Ƿ뿪X+λ  1Dλʶ
/***************ж*************/
INT8  SL_SC7A20_INT_Config(void)
{
    UINT8 SL_Read_Reg;

    /*******************AOI1  IN  INT1********************/
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x08;//AOI1 LATCH
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg); 
    
    //H_LACTIVE SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_SC7A20_INT_ACTIVE_LOWER_LEVEL|SL_Read_Reg;
    //interrupt happen,int pin output lower level
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);  
    
    //AOI1 CONFIG
    SL_Read_Reg=0x00;            //0x7F
    SL_Read_Reg=SL_Read_Reg|0x40;//˶ʶģʽ
    SL_Read_Reg=SL_Read_Reg|0x03;//X ߵ¼ Xݵľֵֵ
    SL_Read_Reg=SL_Read_Reg|0x0C;//Y ߵ¼ Yݵľֵֵ	
    SL_Read_Reg=SL_Read_Reg|0x30;//Z ߵ¼ Zݵľֵֵ	
    GSENSOR_WriteReg(SL_SC7A20_INT1_CFG, SL_Read_Reg);    

    //HPF SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG2,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg|0x81;//Normal HP , HPF TO AOI1 
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG2, SL_Read_Reg);
    
    //жֵ
    GSENSOR_WriteReg(SL_SC7A20_INT1_THS, SL_SC7A20_INT_THS_10PERCENT);	
    //ֵʱ䴥ж
    GSENSOR_WriteReg(SL_SC7A20_INT1_DURATION, SL_SC7A20_INT_DURATION_2CLK);
        
    //AOI1 TO INT1
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG3,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x40; //AOI1 TO INT1
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG3, SL_Read_Reg);  
    /*******************AOI1  IN  INT1********************/


    /*******************AOI2  IN  INT2********************/
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x02;//AOI2 LATCH
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg);	
    
    //H_LACTIVE SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_SC7A20_INT_ACTIVE_LOWER_LEVEL|SL_Read_Reg;
    //interrupt happen,int pin output lower level
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);    

    //AOI2 CONFIG
    SL_Read_Reg=0x00;            //0xC2
    SL_Read_Reg=SL_Read_Reg|0xC0;//λʶģʽ
    SL_Read_Reg=SL_Read_Reg|0x02;//X ¼ Xݴֵ ͵ƽĬߵƽ
    GSENSOR_WriteReg(SL_SC7A20_INT2_CFG, SL_Read_Reg);    

    //HPF SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG2,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg&0xFD;//NO HPF TO AOI2 
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG2, SL_Read_Reg);

    //жֵ
    GSENSOR_WriteReg(SL_SC7A20_INT2_THS, SL_SC7A20_INT_THS_40PERCENT);	
    //ֵʱ䴥ж
    GSENSOR_WriteReg(SL_SC7A20_INT2_DURATION, SL_SC7A20_INT_DURATION_2CLK);
    
    //AOI2 TO INT2
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x20; //AOI2 TO INT2
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);  
    /*******************AOI2  IN  INT2********************/

    return  1;
}
#elif  SL_6D4D2D1D_SEL==2  //2D
//AOI1_INT1  ˶⣬˶ж ¼   3D˶ 
//AOI2_INT2  λü⣬X+  X-          2Dλʶ
/***************ж*************/
INT8  SL_SC7A20_INT_Config(void)
{
    UINT8 SL_Read_Reg;

    /*******************AOI1  IN  INT1********************/
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x08;//AOI1 LATCH
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg); 
    
    //AOI1 CONFIG
    SL_Read_Reg=0x00;            //0x2A ¼
    SL_Read_Reg=SL_Read_Reg|0x02;//X ¼ Xݵľֵֵ
    SL_Read_Reg=SL_Read_Reg|0x08;//Y ¼ Yݵľֵֵ	
    SL_Read_Reg=SL_Read_Reg|0x20;//Z ¼ Zݵľֵֵ	
    GSENSOR_WriteReg(SL_SC7A20_INT1_CFG, SL_Read_Reg);    
   
    //HPF SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG2,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg|0x81;//Normal HP , HPF TO AOI1 
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG2, SL_Read_Reg);
    
    //жֵ
    GSENSOR_WriteReg(SL_SC7A20_INT1_THS, SL_SC7A20_INT_THS_10PERCENT);	
    //ֵʱ䴥ж
    GSENSOR_WriteReg(SL_SC7A20_INT1_DURATION, SL_SC7A20_INT_DURATION_2CLK);
        
    //AOI1 TO INT1
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG3,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x40; //AOI1 TO INT1
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG3, SL_Read_Reg);  
    /*******************AOI1  IN  INT1********************/


    /*******************AOI2  IN  INT2********************/
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x02;//AOI2 LATCH
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg);	
    
    //H_LACTIVE SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_SC7A20_INT_ACTIVE_LOWER_LEVEL|SL_Read_Reg;
    //interrupt happen,int pin output lower level
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);    

    //AOI2 CONFIG
    SL_Read_Reg=0x00;            //0xC3
    SL_Read_Reg=SL_Read_Reg|0xC0;//λʶģʽ
    SL_Read_Reg=SL_Read_Reg|0x03;//X ߵ¼ Xݵľֵֵ ͵ƽĬߵƽ
    GSENSOR_WriteReg(SL_SC7A20_INT2_CFG, SL_Read_Reg);    

    //HPF SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG2,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg&0xFD;//NO HPF TO AOI2 
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG2, SL_Read_Reg);

    //жֵ
    GSENSOR_WriteReg(SL_SC7A20_INT2_THS, SL_SC7A20_INT_THS_40PERCENT);	
    //ֵʱ䴥ж
    GSENSOR_WriteReg(SL_SC7A20_INT2_DURATION, SL_SC7A20_INT_DURATION_2CLK);
    
    //AOI2 TO INT2
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x20; //AOI2 TO INT2
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);  
    /*******************AOI2  IN  INT2********************/

    return  1;
}
#elif  SL_6D4D2D1D_SEL==4  //4D
//AOI1_INT1  ˶⣬˶ж ¼     3D˶ 
//AOI2_INT2  λü⣬X+  X-  Y+  Y-  4Dλʶ
/***************ж*************/
INT8  SL_SC7A20_INT_Config(void)
{
    UINT8 SL_Read_Reg;

    /*******************AOI1  IN  INT1********************/
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x08;//AOI1 LATCH
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg); 
    
    //AOI1 CONFIG
    SL_Read_Reg=0x00;            //0x2A ¼
    SL_Read_Reg=SL_Read_Reg|0x02;//X ¼ Xݵľֵֵ
	SL_Read_Reg=SL_Read_Reg|0x08;//Y ¼ Yݵľֵֵ	
	SL_Read_Reg=SL_Read_Reg|0x20;//Z ¼ Zݵľֵֵ	
    GSENSOR_WriteReg(SL_SC7A20_INT1_CFG, SL_Read_Reg);    
   
    //HPF SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG2,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg|0x81;//Normal HP , HPF TO AOI1 
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG2, SL_Read_Reg);
    
    //жֵ
    GSENSOR_WriteReg(SL_SC7A20_INT1_THS, SL_SC7A20_INT_THS_10PERCENT);	
    //ֵʱ䴥ж
    GSENSOR_WriteReg(SL_SC7A20_INT1_DURATION, SL_SC7A20_INT_DURATION_2CLK);
        
    //AOI1 TO INT1
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG3,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x40; //AOI1 TO INT1
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG3, SL_Read_Reg);  
    /*******************AOI1  IN  INT1********************/


    /*******************AOI2  IN  INT2********************/
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x02;//AOI2 LATCH
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg);	
    
    //H_LACTIVE SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_SC7A20_INT_ACTIVE_LOWER_LEVEL|SL_Read_Reg;
    //interrupt happen,int pin output lower level
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);    

    //AOI2 CONFIG
    SL_Read_Reg=0x00;            //0xCF
    SL_Read_Reg=SL_Read_Reg|0xC0;//λʶģʽ
    SL_Read_Reg=SL_Read_Reg|0x0F;//XY ߵ¼ XYݵľֵֵ ͵ƽĬߵƽ
    GSENSOR_WriteReg(SL_SC7A20_INT2_CFG, SL_Read_Reg);    

    //HPF SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG2,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg&0xFD;//NO HPF TO AOI2 
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG2, SL_Read_Reg);

    //жֵ
    GSENSOR_WriteReg(SL_SC7A20_INT2_THS, SL_SC7A20_INT_THS_40PERCENT);	
    //ֵʱ䴥ж
    GSENSOR_WriteReg(SL_SC7A20_INT2_DURATION, SL_SC7A20_INT_DURATION_2CLK);
    
    //AOI2 TO INT2
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x20; //AOI2 TO INT2
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);  
    /*******************AOI2  IN  INT2********************/

    return  1;
}
#elif  SL_6D4D2D1D_SEL==6  //6D
//AOI1_INT1  ˶⣬˶ж                    6D˶
//AOI2_INT2  λü⣬X+  X-  Y+  Y- Z+  Z- 6Dλʶ
/***************ж*************/
INT8  SL_SC7A20_INT_Config(void)
{
    UINT8 SL_Read_Reg;

    /*******************AOI1  IN  INT1********************/
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x08;//AOI1 LATCH
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg); 
    
    //AOI1 CONFIG
    SL_Read_Reg=0x00;            //0x7F  LATCH
    SL_Read_Reg=SL_Read_Reg|0x40;//˶ʶģʽ
    SL_Read_Reg=SL_Read_Reg|0x03;//X ߵ¼ Xݵľֵֵ
    SL_Read_Reg=SL_Read_Reg|0x0C;//Y ߵ¼ Yݵľֵֵ	
    SL_Read_Reg=SL_Read_Reg|0x30;//Z ߵ¼ Zݵľֵֵ	
    GSENSOR_WriteReg(SL_SC7A20_INT1_CFG, SL_Read_Reg);    
   
    //HPF SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG2,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg|0x81;//Normal HP , HPF TO AOI1 
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG2, SL_Read_Reg);
    
    //жֵ
    GSENSOR_WriteReg(SL_SC7A20_INT1_THS, SL_SC7A20_INT_THS_10PERCENT);	
    //ֵʱ䴥ж
    GSENSOR_WriteReg(SL_SC7A20_INT1_DURATION, SL_SC7A20_INT_DURATION_2CLK);
        
    //AOI1 TO INT1
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG3,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x40; //AOI1 TO INT1
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG3, SL_Read_Reg);  
    /*******************AOI1  IN  INT1********************/


    /*******************AOI2  IN  INT2********************/
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG5,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x02;//AOI2 LATCH
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG5, SL_Read_Reg);	
    
    //H_LACTIVE SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_SC7A20_INT_ACTIVE_LOWER_LEVEL|SL_Read_Reg;
    //interrupt happen,int pin output lower level
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);    

    //AOI2 CONFIG
    SL_Read_Reg=0x00;            //0xC2
    SL_Read_Reg=SL_Read_Reg|0xC0;//λʶģʽ
    SL_Read_Reg=SL_Read_Reg|0x3F;//XYZ ¼ XYZݵľֵֵ ͵ƽĬߵƽ
    GSENSOR_WriteReg(SL_SC7A20_INT2_CFG, SL_Read_Reg);    

    //HPF SET
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG2,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg&0xFD;//NO HPF TO AOI2 
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG2, SL_Read_Reg);

    //жֵ
    GSENSOR_WriteReg(SL_SC7A20_INT2_THS, SL_SC7A20_INT_THS_40PERCENT);	
    //ֵʱ䴥ж
    GSENSOR_WriteReg(SL_SC7A20_INT2_DURATION, SL_SC7A20_INT_DURATION_2CLK);
    
    //AOI2 TO INT2
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG6,1, &SL_Read_Reg);
    SL_Read_Reg=SL_Read_Reg|0x20; //AOI2 TO INT2
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG6, SL_Read_Reg);  
    /*******************AOI2  IN  INT2********************/

    return  1;
}
#endif

/******ⲿжϴҪøú*******/
//retrun_value&0x20=0x20  ZH  Z¼
//retrun_value&0x20=0x10  ZL  Z¼
//retrun_value&0x20=0x08  YH  Y¼
//retrun_value&0x20=0x04  YL  Y¼
//retrun_value&0x20=0x02  XH  X¼
//retrun_value&0x20=0x01  XL  X¼
INT8  SL_SC7A20_INT_RESET(void)
{

    UINT8 SL_Read_Reg1;
    UINT8 SL_Read_Reg2;
    
    /*****Ϊ˱ȡݹֲжϣʱرж*****/	
 
    //SL_Read_Reg1 display the int1 type
    GSENSOR_ReadReg(SL_SC7A20_INT1_SRC,1, &SL_Read_Reg1);
    //SL_Read_Reg2 display the int2 type
    GSENSOR_ReadReg(SL_SC7A20_INT2_SRC,1, &SL_Read_Reg2);
    
    //close INT1
    GSENSOR_WriteReg(SL_SC7A20_INT1_CFG, 0x00);
    //close INT2
    GSENSOR_WriteReg(SL_SC7A20_INT2_CFG, 0x00);     
    
    if((SL_Read_Reg2&0x02)==0x02)
    {
        //X+
    }
    if((SL_Read_Reg2&0x01)==0x01)
    {
        //X-
    }
    if((SL_Read_Reg2&0x08)==0x08)
    {
        //Y+
    }
    if((SL_Read_Reg2&0x04)==0x04)
    {
        //Y-
    }
    if((SL_Read_Reg2&0x20)==0x20)
    {
        //Z+
    }
    if((SL_Read_Reg2&0x10)==0x10)
    {
        //Z-
    }
    
    if(SL_Read_Reg1!=0||SL_Read_Reg2!=0)
    {
        return 1;
    }
    else
    {
        return 0;
    }

}

/***************ݸ**ٶȼʹ**********/
INT8  SL_SC7A20_Power_Config(UINT8 Power_Config_Reg)
{
    UINT8 SL_Read_Reg;

#if  SL_SC7A20_MTP_ENABLE==1
    SL_Read_Reg  = 0x00;
    GSENSOR_WriteReg(SL_SC7A20_MTP_CFG, SL_SC7A20_MTP_VALUE);
    GSENSOR_ReadReg(SL_SC7A20_SDOI2C_PU_CFG,1, &SL_Read_Reg); 
    SL_Read_Reg=SL_Read_Reg|SL_SC7A20_SDO_PU_MSK|SL_SC7A20_I2C_PU_MSK;
    GSENSOR_WriteReg(SL_SC7A20_SDOI2C_PU_CFG, SL_Read_Reg);
#endif
    SL_Read_Reg  = 0xff;
    GSENSOR_WriteReg(SL_SC7A20_CTRL_REG1, Power_Config_Reg);
    GSENSOR_ReadReg(SL_SC7A20_CTRL_REG1,1, &SL_Read_Reg); 

    if(SL_Read_Reg==Power_Config_Reg){
	return  1;
    }else{
    	return -1;
    }
}


#if   SL_SC7A20_16BIT_8BIT==0
/***************ٶȼݶȡ*8bits*********/
INT8  SL_SC7A20_Read_XYZ_Data(INT8 *SL_SC7A20_Data_XYZ_Buf)
{
    UINT8 SL_Read_Buf[7];
    
    GSENSOR_ReadReg(SL_SC7A20_STATUS_REG,1, &SL_Read_Buf[0]);
    
    if((SL_Read_Buf[0]&0x0f)==0x0f)
    {
        GSENSOR_ReadReg(SL_SC7A20_DATA_OUT,6, &SL_Read_Buf[1]);
        SL_SC7A20_Data_XYZ_Buf[0]=(INT8)SL_Read_Buf[2];
        SL_SC7A20_Data_XYZ_Buf[1]=(INT8)SL_Read_Buf[4];
        SL_SC7A20_Data_XYZ_Buf[2]=(INT8)SL_Read_Buf[6];
        return  1;   
    }
    else
    {
        return 0;
    }
}
#elif SL_SC7A20_16BIT_8BIT==1
/***************ٶȼݶȡ*16bits*********/
INT8  SL_SC7A20_Read_XYZ_Data(INT16 *SL_SC7A20_Data_XYZ_Buf)
{
    UINT8 SL_Read_Buf[7];
    
    GSENSOR_ReadReg(SL_SC7A20_STATUS_REG,1, &SL_Read_Buf[0]);
    
    if((SL_Read_Buf[0]&0x0f)==0x0f)
    {
        GSENSOR_ReadReg(SL_SC7A20_DATA_OUT,6, &SL_Read_Buf[1]);
 
        SL_SC7A20_Data_XYZ_Buf[0]=(INT16)((SL_Read_Buf[2]<<8) + SL_Read_Buf[1]);
        SL_SC7A20_Data_XYZ_Buf[1]=(INT16)((SL_Read_Buf[4]<<8) + SL_Read_Buf[3]);
        SL_SC7A20_Data_XYZ_Buf[2]=(INT16)((SL_Read_Buf[6]<<8) + SL_Read_Buf[5]);
        return  1;
    }
    else
    {
        return 0;
    }
}
#endif
void GsensorInit(void)
{
	INT8 res = 0;
	res = SL_SC7A20_Online_Test();
	if(res==1){
		
		SL_SC7A20_BOOT();
		SL_SC7A20_FS_Config(SL_SC7A20_FS_4G);
		SL_SC7A20_INT_Config();
		SL_SC7A20_INT_RESET();
		SL_SC7A20_Power_Config(SL_SC7A20_LOWER_POWER_ODR_400HZ);
	}
}
